Summary: C library for complex number arithmetic with arbitrary precision and correct rounding
Name: libmpc
Version: 1.3.1
Release: r0
License: LGPL-3.0-only
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.multiprecision.org/
Source0: mpc-1.3.1.tar.gz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gmp
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: mpfr
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr

%package -n libmpc-src
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding - Source files
License: LGPL-3.0-only
Group: devel

%description -n libmpc-src
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr  This package contains sources for
debugging purposes.

%package -n libmpc-dbg
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding - Debugging files
License: LGPL-3.0-only
Group: devel
Recommends: glibc-dbg
Recommends: gmp-dbg
Recommends: mpfr-dbg

%description -n libmpc-dbg
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libmpc-staticdev
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding - Development files (Static Libraries)
License: LGPL-3.0-only
Group: devel
Requires: libmpc-dev = 1.3.1-r0

%description -n libmpc-staticdev
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr  This package contains static libraries
for software development.

%package -n libmpc-dev
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding - Development files
License: LGPL-3.0-only
Group: devel
Requires: libmpc
Recommends: glibc-dev
Recommends: gmp-dev
Recommends: libmpc3 = 1.3.1-r0
Recommends: mpfr-dev

%description -n libmpc-dev
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libmpc-doc
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding - Documentation files
License: LGPL-3.0-only
Group: doc

%description -n libmpc-doc
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr  This package contains documentation.

%package -n libmpc-locale
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding
License: LGPL-3.0-only
Group: libs

%description -n libmpc-locale
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr

%package -n libmpc3
Summary: C library for complex number arithmetic with arbitrary precision and correct rounding
License: LGPL-3.0-only
Group: libs
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgmp.so.10()(64bit)
Requires: libgmp10 >= 6.3.0
Requires: libm.so.6()(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libmpfr.so.6()(64bit)
Requires: libmpfr6 >= 4.2.1
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libgmp.so.10()(64bit)
Requires(post): libgmp10 >= 6.3.0
Requires(post): libm.so.6()(64bit)
Requires(post): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libmpfr.so.6()(64bit)
Requires(post): libmpfr6 >= 4.2.1
Requires(post): rtld(GNU_HASH)
Provides: libmpc = 1.3.1
Provides: libmpc.so.3()(64bit)

%description -n libmpc3
Mpc is a C library for the arithmetic of complex numbers with arbitrarily
high precision and correct rounding of the result. It is built upon and
follows the same principles as Mpfr

%post -n libmpc3
# libmpc3 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libmpc-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libmpc"
%attr(755,root,root) %dir "/usr/src/debug/libmpc/1.3.1"
%attr(755,root,root) %dir "/usr/src/debug/libmpc/1.3.1/src"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow_fr.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/div_fr.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/rootofunity.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/div_2si.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/conj.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sqrt.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/strtoc.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/tan.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/cosh.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/exp.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/asinh.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/arg.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/cmp.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sum.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/set.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/dot.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/cos.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sinh.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul_ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/cmp_si_si.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/inp_str.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/div_2ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/log10.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sub_ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/real.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/div.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/out_str.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/get_prec2.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/ui_ui_sub.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/fr_sub.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/init3.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul_i.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul_2ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow_si.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/clear.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sin.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/set_str.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/set_prec.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/cmp_abs.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/acosh.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/init2.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/agm.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/imag.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/log.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mpc-impl.h"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/norm.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/eta.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mem.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mpc.h"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/radius.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul_fr.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/get_x.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/fr_div.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/div_ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/set_x.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/atan.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/fma.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/asin.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/acos.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/add.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/neg.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/add_fr.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sin_cos.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/get_version.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/uceil_log2.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/abs.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/proj.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/balls.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/ui_div.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sub_fr.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow_z.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow_ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/swap.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sqr.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow_ld.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/sub.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/add_si.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow_d.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/get_prec.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul_2si.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/pow.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/atanh.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/tanh.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/mul_si.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/add_ui.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/urandom.c"
%attr(644,root,root) "/usr/src/debug/libmpc/1.3.1/src/set_x_x.c"

%files -n libmpc-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libmpc.so.3.3.1"

%files -n libmpc-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/mpc.h"
%attr(777,root,root) "/usr/lib/libmpc.so"

%files -n libmpc-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/info"
%attr(644,root,root) "/usr/share/info/mpc.info"

%files -n libmpc3
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libmpc.so.3"
%attr(755,root,root) "/usr/lib/libmpc.so.3.3.1"

%%prep
echo "include logs and patches, Please check them in SOURCES"

